=== debian/changelog ===
khronos-opengl-man4 (1.0~svn17952-1) unstable; urgency=low

  * Initial release.  (Closes: #673160)

 -- Mathieu Malaterre <malat@debian.org>  Thu, 17 May 2012 16:41:31 +0200
