## khronos-opengl-man4 1.0~svn21376

=== debian/changelog ===
khronos-opengl-man4 (1.0~svn21376-2) unstable; urgency=low

  * Add a virtual package: manpages-opengl
  * Fix XML input for cleaner man output

 -- Mathieu Malaterre <malat@debian.org>  Mon, 27 May 2013 11:56:23 +0200

khronos-opengl-man4 (1.0~svn21376-1) unstable; urgency=low

  * New upstream
  * Use dh 9
  * Replaces old -4.2 packages, with generic -4 packages
  * Remove patches applied upstream:
    - d/p/remove_missing.patch

 -- Mathieu Malaterre <malat@debian.org>  Mon, 13 May 2013 12:45:05 +0200
