=== debian/control ===
Source: khronos-opengl-man4
Section: doc
Priority: extra
Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Build-Depends: debhelper (>= 9), docbook-mathml (>= 1.1~), w3-dtd-mathml, docbook-xsl, xsltproc
Standards-Version: 3.9.4
Homepage: http://www.opengl.org/sdk/docs/man4/
Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/khronos-opengl4-man/trunk
Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/khronos-opengl4-man/trunk

Package: opengl-4-html-doc
Architecture: all
Depends: ${misc:Depends}, doc-base
Replaces: opengl-4.2-html-doc (<< 1.0~svn21376-1)
Breaks: opengl-4.2-html-doc (<< 1.0~svn21376-1)
Description: OpenGL 4 documentation - html pages
 This is the OpenGL API man pages.
 .
 The ARB Ecosystem TSG maintains an up-to-date version of the OpenGL man pages.
 .
 The documentation is exactly what is available from:
 http://www.opengl.org/sdk/docs/man4/xhtml/

Package: opengl-4-man-doc
Provides: manpages-opengl
Architecture: all
Depends: ${misc:Depends}
Replaces: opengl-4.2-man-doc (<< 1.0~svn21376-1)
Description: OpenGL 4 documentation - man pages (experimental)
 This is the OpenGL API man pages.
 .
 The ARB Ecosystem TSG maintains an up-to-date version of the OpenGL man pages.
 .
 This is experimental man page package until support gets integrated upstream.
