=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,10 @@
 override_dh_clean:
 	dh_clean xhtml/*.xml
 	dh_clean xhtml/*.3G
+	dh_clean xhtml/*.tmp0
 
-pkg_xml = opengl-4.2-html-doc
-pkg_man = opengl-4.2-man-doc
+pkg_xml = opengl-4-html-doc
+pkg_man = opengl-4-man-doc
 
 override_dh_installdocs:
 	dh_installdocs -p$(pkg_xml) xhtml/*.xml
