## khronos-opengl-man4 1.0~svn22917

=== xhtml/Makefile ===
--- 
+++ 
@@ -25,7 +25,7 @@
 GL_ARB_draw_indirect_entries = \
     glDrawArraysIndirect.xml \
     glDrawElementsIndirect.xml
-	
+
 GL_ARB_shader_subroutine_entries = \
     glGetActiveSubroutineName.xml \
     glGetActiveSubroutineUniform.xml \
@@ -97,8 +97,8 @@
     glTexStorage2D.xml \
     glTexStorage3D.xml
 
-GL_XXX_internal_format_query_entries = \
-    glGetInternalFormativ.xml
+GL_ARB_internal_format_query_entries = \
+    glGetInternalformativ.xml
 
 GL_ARB_transform_feedback_instanced_entries = \
     glDrawTransformFeedbackInstanced.xml \
@@ -110,6 +110,124 @@
 GL_ARB_shader_image_load_store_entries = \
     glBindImageTexture.xml \
     glMemoryBarrier.xml
+
+# START OF OPENGL 4.3 EXTENSIONS
+
+# GL_ARB_arrays_of_arrays has no new entry points
+GL_ARB_arrays_of_arrays_entries =
+
+GL_ARB_multi_draw_indirect_entries = \
+    glMultiDrawArraysIndirect.xml \
+    glMultiDrawElementsIndirect.xml
+
+# ES3_compatibility does not have any new entry points
+GL_ARB_ES3_compatibility_enries =
+
+GL_ARB_clear_buffer_object_entries = \
+    glClearBufferData.xml \
+    glClearBufferSubData.xml
+
+GL_ARB_compute_shader_entries = \
+    glDispatchCompute.xml \
+    glDispatchComputeIndirect.xml
+
+GL_ARB_copy_image_entries = \
+    glCopyImageSubData.xml
+
+GL_ARB_debug_group_entries = \
+    glPushDebugGroup.xml \
+    glPopDebugGroup.xml
+
+GL_ARB_debug_label_entries = \
+    glObjectLabel.xml \
+    glObjectPtrLabel.xml \
+    glGetObjectLabel.xml \
+    glGetObjectPtrLabel.xml
+
+# GL_ARB_debug_output2 has no new entry points
+GL_ARB_debug_output2_entries =
+
+GL_ARB_debug_output_entries = \
+    glDebugMessageControl.xml \
+    glDebugMessageInsert.xml \
+    glDebugMessageCallback.xml \
+    glGetDebugMessageLog.xml
+# Add glGetPointerv to glGet.xml
+
+# GL_ARB_explicit_uniform_location has no new entry points
+GL_ARB_explicit_uniform_location_entries =
+
+# GL_ARB_fragment_layer_viewport has no new entry points
+GL_ARB_fragment_layer_viewport_entries =
+
+GL_ARB_framebuffer_no_attachments_entries = \
+    glFramebufferParameteri.xml \
+    glGetFramebufferParameter.xml
+
+# GL_ARB_internalformat_query2 adds glGetInternalFormati64v to glGetInternalFormativ
+GL_ARB_internalformat_query2_entries =
+
+GL_ARB_invalidate_subdata_entries = \
+    glInvalidateTexSubImage.xml \
+    glInvalidateTexImage.xml \
+    glInvalidateBufferSubData.xml \
+    glInvalidateBufferData.xml \
+    glInvalidateFramebuffer.xml \
+    glInvalidateSubFramebuffer.xml
+
+GL_ARB_program_interface_query_entries = \
+    glGetProgramInterface.xml \
+    glGetProgramResourceIndex.xml \
+    glGetProgramResourceName.xml \
+    glGetProgramResource.xml \
+    glGetProgramResourceLocation.xml \
+    glGetProgramResourceLocationIndex.xml
+
+# GL_ARB_robust_buffer_access_behavior does not define any new entry points
+GL_ARB_robust_buffer_access_behavior_entries =
+
+# GL_ARB_shader_image_size does not define any new entry points
+GL_ARB_shader_image_size_entries =
+
+GL_ARB_shader_storage_buffer_object_entries = \
+    glShaderStorageBlockBinding.xml
+
+# GL_ARB_stencil_texturing does not define any new entry points
+GL_ARB_stencil_texturing_entries =
+
+GL_ARB_texture_buffer_range_entries = \
+    glTexBufferRange.xml
+
+# GL_ARB_texture_query_levels does not define any new entry points
+GL_ARB_texture_query_levels =
+
+GL_ARB_texture_storage_multisample_entries = \
+    glTexStorage2DMultisample.xml \
+    glTexStorage3DMultisample.xml
+
+GL_ARB_texture_view_entries = \
+    glTextureView.xml
+
+GL_ARB_vertex_attrib_binding_entries = \
+    glVertexAttribBinding.xml \
+    glVertexAttribFormat.xml \
+    glVertexBindingDivisor.xml \
+    glBindVertexBuffer.xml
+
+GL_ARB_buffer_storage_entries = \
+    glBufferStorage.xml
+
+GL_ARB_clear_texture_entries = \
+    glClearTexImage.xml \
+    glClearTexSubImage.xml
+
+GL_ARB_multi_bind_entries = \
+    glBindBuffersBase.xml \
+    glBindBuffersRange.xml \
+    glBindTextures.xml \
+    glBindImageTextures.xml \
+    glBindSamplers.xml \
+    glBindVertexBuffers.xml
 
 MODIFIEDFORGL4XML = \
     glClearDepth.xml \
@@ -118,7 +236,7 @@
     glDrawArrays.xml \
     glGetVertexAttrib.xml \
     glVertexAttrib.xml \
-    glVertexAttribPointer.xml \
+    glVertexAttribPointer.xml
 
 GL4XML = \
     $(GL_ARB_draw_indirect_entries) \
@@ -137,11 +255,34 @@
 GL42XML = \
     $(GL_ARB_base_instance_entries) \
     $(GL_EXT_texture_storage_entries) \
-    $(GL_XXX_internal_format_query_entries) \
+    $(GL_ARB_internal_format_query_entries) \
     $(GL_ARB_transform_feedback_instanced_entries) \
     $(GL_ARB_shader_atomic_counters_entries) \
     $(GL_ARB_shader_image_load_store_entries) \
     removedTypes.xml
+
+GL43XML = \
+    $(GL_ARB_multi_draw_indirect_entries) \
+    $(GL_ARB_ES3_compatibility_enries) \
+    $(GL_ARB_clear_buffer_object_entries) \
+    $(GL_ARB_compute_shader_entries) \
+    $(GL_ARB_copy_image_entries) \
+    $(GL_ARB_invalidate_subdata_entries) \
+    $(GL_ARB_texture_buffer_range_entries) \
+    $(GL_ARB_texture_storage_multisample_entries) \
+    $(GL_ARB_vertex_attrib_binding_entries) \
+    $(GL_ARB_shader_storage_buffer_object_entries) \
+    $(GL_ARB_debug_group_entries) \
+    $(GL_ARB_debug_label_entries) \
+    $(GL_ARB_framebuffer_no_attachments_entries) \
+    $(GL_ARB_program_interface_query_entries) \
+    $(GL_ARB_debug_output_entries) \
+    $(GL_ARB_texture_view_entries)
+
+GL44XML = \
+    $(GL_ARB_buffer_storage_entries) \
+    $(GL_ARB_clear_texture_entries) \
+    $(GL_ARB_multi_bind_entries)
 
 UNMODIFIEDXML = \
     glActiveTexture.xml \
@@ -205,7 +346,6 @@
     glDepthFunc.xml \
     glDepthMask.xml \
     glDetachShader.xml \
-    glDisableVertexAttribArray.xml \
     glDrawArrays.xml \
     glDrawArraysInstanced.xml \
     glDrawBuffer.xml \
@@ -218,7 +358,6 @@
     glDrawRangeElementsBaseVertex.xml \
     glEnable.xml \
     glEnableVertexAttribArray.xml \
-    glEndQuery.xml \
     glFenceSync.xml \
     glFinish.xml \
     glFlush.xml \
@@ -283,75 +422,3 @@
     glIsSampler.xml \
     glIsShader.xml \
     glIsSync.xml \
-    glIsTexture.xml \
-    glIsVertexArray.xml \
-    glLineWidth.xml \
-    glLinkProgram.xml \
-    glLogicOp.xml \
-    glMapBuffer.xml \
-    glMapBufferRange.xml \
-    glMultiDrawArrays.xml \
-    glMultiDrawElements.xml \
-    glMultiDrawElementsBaseVertex.xml \
-    glPixelStore.xml \
-    glPointParameter.xml \
-    glPointSize.xml \
-    glPolygonMode.xml \
-    glPolygonOffset.xml \
-    glPrimitiveRestartIndex.xml \
-    glProvokingVertex.xml \
-    glQueryCounter.xml \
-    glReadBuffer.xml \
-    glReadPixels.xml \
-    glRenderbufferStorage.xml \
-    glRenderbufferStorageMultisample.xml \
-    glSampleCoverage.xml \
-    glSampleMaski.xml \
-    glSamplerParameter.xml \
-    glScissor.xml \
-    glShaderSource.xml \
-    glStencilFunc.xml \
-    glStencilFuncSeparate.xml \
-    glStencilMask.xml \
-    glStencilMaskSeparate.xml \
-    glStencilOp.xml \
-    glStencilOpSeparate.xml \
-    glTexBuffer.xml \
-    glTexImage1D.xml \
-    glTexImage2D.xml \
-    glTexImage2DMultisample.xml \
-    glTexImage3D.xml \
-    glTexImage3DMultisample.xml \
-    glTexParameter.xml \
-    glTexSubImage1D.xml \
-    glTexSubImage2D.xml \
-    glTexSubImage3D.xml \
-    glTransformFeedbackVaryings.xml \
-    glUniform.xml \
-    glUniformBlockBinding.xml \
-    glUnmapBuffer.xml \
-    glUseProgram.xml \
-    glValidateProgram.xml \
-    glVertexAttribDivisor.xml \
-    glViewport.xml \
-    glWaitSync.xml
-
-MODIFIEDXML = \
-
-XML    = $(GL4XML) $(GL41XML) $(GL42XML) $(MODIFIEDFORGL4XML) $(UNMODIFIEDXML)
-
-glTexImage1D.xml \
-glTexImage2D.xml \
-glTexImage3D.xml \
-glTexStorage1D.xml \
-glTexStorage2D.xml \
-glTexStorage3D.xml \
-    : ../internalformattable.xml ../baseformattable.xml ../compressedformattable.xml
-
-default: $(XML)
-
-clean:
-	$(RM) $(TEX_FILES) *.log *.aux *.toc *.dvi *.out
-
-clobber: clean
-	$(RM) $(XML) $(PDF_FILES)
