=== debian/changelog ===
khronos-opengl-man4 (1.0~svn22917-1) unstable; urgency=low

  * New upstream
  * Move to Debian OpenCL Maintainers
  * Use canonical URLs for debian VCS
  * Use XZ compression
  * Fix clean rules

 -- Mathieu Malaterre <malat@debian.org>  Wed, 04 Sep 2013 09:28:20 +0200
