=== debian/control ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Source: khronos-opengl-man4
 Section: doc
 Priority: extra
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
 Build-Depends: debhelper (>= 9), docbook-mathml (>= 1.1~), w3-dtd-mathml, docbook-xsl, xsltproc
 Standards-Version: 3.9.4
 Homepage: http://www.opengl.org/sdk/docs/man4/
-Vcs-Svn: svn://svn.debian.org/svn/pkg-nvidia/packages/khronos-opengl4-man/trunk
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-nvidia/packages/khronos-opengl4-man/trunk
+Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opengl4-man/trunk
+Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opengl4-man/
 
 Package: opengl-4-html-doc
 Architecture: all
