=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,8 @@
 	dh_clean xhtml/*.xml
 	dh_clean xhtml/*.3G
 	dh_clean xhtml/*.tmp0
+	dh_clean xhtml/index.html
+	chmod +x xhtml/makeindex.pl
 
 pkg_xml = opengl-4-html-doc
 pkg_man = opengl-4-man-doc
