=== debian/changelog ===
khronos-opengl-man4 (1.0~svn27841-1) unstable; urgency=low

  * New upstream
  * Rework html output. Closes: #723792
  * Bump Std-Vers to 3.9.5

 -- Mathieu Malaterre <malat@debian.org>  Tue, 26 Aug 2014 10:24:39 +0200
