=== debian/control ===
--- 
+++ 
@@ -3,15 +3,20 @@
 Priority: extra
 Maintainer: Debian OpenCL Maintainers <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Mathieu Malaterre <malat@debian.org>
-Build-Depends: debhelper (>= 9), docbook-mathml (>= 1.1~), w3-dtd-mathml, docbook-xsl, xsltproc
-Standards-Version: 3.9.4
+Build-Depends: debhelper (>= 9),
+               docbook-mathml (>= 1.1~),
+               docbook-xsl-ns (>= 1.78.1),
+               python3,
+               w3-dtd-mathml,
+               xsltproc
+Standards-Version: 3.9.5
 Homepage: http://www.opengl.org/sdk/docs/man4/
 Vcs-Svn: svn://anonscm.debian.org/pkg-nvidia/packages/khronos-opengl4-man/trunk
 Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-nvidia/packages/khronos-opengl4-man/
 
 Package: opengl-4-html-doc
 Architecture: all
-Depends: ${misc:Depends}, doc-base
+Depends: doc-base, ${misc:Depends}
 Replaces: opengl-4.2-html-doc (<< 1.0~svn21376-1)
 Breaks: opengl-4.2-html-doc (<< 1.0~svn21376-1)
 Description: OpenGL 4 documentation - html pages
