=== debian/rules ===
#!/usr/bin/make -f

export ROOT=$(CURDIR)

%:
	dh $@

override_dh_clean:
	dh_clean html/*.xml
	dh_clean html/*.3G
	dh_clean html/*.tmp
	dh_clean html/index.html

pkg_xml = opengl-4-html-doc
pkg_man = opengl-4-man-doc

override_dh_installdocs:
	dh_installdocs -p$(pkg_xml) html/*.xhtml
	dh_installdocs -p$(pkg_xml) html/*.html
	dh_installdocs -p$(pkg_xml) html/*.php

override_dh_installman:
	# bad-so-link-within-manual-page
	sed -i -e 's/^.so man3G/.so man3/' html/*.3G
	dh_installman -p$(pkg_man) html/*.3G
	# force install of d/copyright:
	dh_installdocs -p$(pkg_man)

# no make install rule:
override_dh_auto_install:

override_dh_compress:
	dh_compress -X.xhtml -X.php

get-orig-source:
	./debian/get-orig-source
